classification
Title: memoryview.readonly attribute is not documented
Type: Stage: patch review
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, flashk, georg.brandl, mark.dickinson, ncoghlan, terry.reedy
Priority: normal Keywords: patch

Created on 2010-12-20 21:33 by flashk, last changed 2010-12-28 11:08 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
stdtypes.diff flashk, 2010-12-20 21:33
Messages (3)
msg124403 - (view) Author: (flashk) Date: 2010-12-20 21:33
The 'readonly' attribute is not explicitly described, even though it is used in the sample code for the memoryview type.

I've attached a patch that adds a description of the 'readonly' attribute.
msg124611 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-12-24 21:38
I agree with addition. Patch look OK to my limited .rst knowledge.

To be more parallel to the other entries, the text might say
"A bool indicating whether ..."
msg124784 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-12-28 11:08
Added in r87531.
History
Date User Action Args
2010-12-28 11:08:27georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg124784

resolution: fixed
2010-12-24 21:38:47terry.reedysetversions: + Python 3.1, Python 3.2
nosy: + terry.reedy

messages: + msg124611

stage: patch review
2010-12-21 17:51:36pitrousetnosy: + mark.dickinson, ncoghlan
2010-12-20 21:33:40flashkcreate